##
## This is part of CLFSja package.
##
SUBDIRS=docbook-xsl-snapshot pdf xhtml
BOOKdir = @abs_bookdir@/stylesheets/lfs-xsl
CHANGE_FILES_XSL = \
	chunk-master.ch \
	chunk-slave.ch  \
	chunkfast.ch    \
	common.ch       \
	nochunks.ch     \
	pdf.ch          \
	profile.ch

CHANGE_FILES_XML = \
	lfs-l10n.ch

CHANGE_FILES_CSS = \
	lfs.ch

EXTRA_DIST = $(CHANGE_FILES_XSL) \
	$(CHANGE_FILES_XML) \
	$(CHANGE_FILES_CSS)
srcdir = @srcdir@
srcs = $(CHANGE_FILES_XSL:.ch=.xsl) \
	$(CHANGE_FILES_XML:.ch=.xml) \
	$(CHANGE_FILES_CSS:.ch=.css) lfs-print.css

SUFFIXES = .ch .xsl .xml .css
.ch.xsl:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null
.ch.xml:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null
.ch.css:
	$(top_builddir)/$(CTIE) -m $@ $(BOOKdir)/$@ $(srcdir)/$*.ch >/dev/null

all: ctie $(srcs)

ctie:
	@$(MAKE) -C $(top_builddir)/$@ $@ >/dev/null

lfs-print.css: $(BOOKdir)/lfs-print.css
	cp -p $^ $@
